Subject: Re: bug#12450: Remove configure's --without-sync-input option.
From: Paul Eggert <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Sun, 16 Sep 2012 14:48:55 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On 09/16/2012 01:32 AM, Eli Zaretskii wrote:

> Nevertheless, please humor me.

OK, I installed a version that does that, by keeping all
the calls to MALLOC_BLOCK_INPUT and MALLOC_UNBLOCK_INPUT,
but defining those macros in a different way based on a new
macro XMALLOC_BLOCK_INPUT_CHECK rather than on the
(now-obsolete) SYNC_INPUT.

I also looked into that hysteresis thing, and the code
in question was redundant because r_alloc_init assigns
64 to __malloc_extra_blocks.  So we should be OK there.

Since the patch is installed now I'm marking this bug as done.
If bugs crop up we can reopen it or open a new bug report.